Bug 296631 - find fails with "Permission denied" if parent directory lacks 'r' permission
find fails with "Permission denied" if parent directory lacks 'r' permission
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: findutils (Show other bugs)
5.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 13:28 EDT by Jordan Russell
Modified: 2013-04-12 15:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0589
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 09:02:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backported patch (2.21 KB, patch)
2008-04-15 08:36 EDT, Vitezslav Crhonek
no flags Details | Diff

  None (edit)
Description Jordan Russell 2007-09-19 13:28:45 EDT
Description of problem:
If the directory one level up from the specified path does not have 'x'
permission, find fails with a "Permission denied" error.

This issue is new to RHEL5; it does NOT happen on RHEL4.5.
(Bug also appears to exist in Fedora 7.)

Version-Release number of selected component (if applicable):
findutils-4.2.27-4.1

How reproducible:
Always

Steps to Reproduce:
# mkdir /test
# chmod 711 /test
# mkdir /test/subdir
# touch /test/subdir/file
# su - otheruser
$ find /test/subdir -name file
  
Actual results:
find: /test: Permission denied

Expected results:
/test/subdir/file
Comment 1 Jordan Russell 2007-09-20 00:16:46 EDT
Typo: 'x' permission -> 'r' permission
Comment 2 Vitezslav Crhonek 2008-02-14 07:55:31 EST
Hi,

Thanks for your report.

This issue is fixed in Fedora Rawhide (findutils-4.2.32-1).

Please contact official Red Hat Support at https://www.redhat.com/apps/support/
to allow correct prioritization of this issue in Red Hat Enterprise Linux 5.
Comment 3 Vitezslav Crhonek 2008-04-15 08:36:02 EDT
Created attachment 302443 [details]
backported patch
Comment 4 RHEL Product and Program Management 2008-06-04 18:48:46 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 errata-xmlrpc 2008-07-23 09:02:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0589.html

Note You need to log in before you can comment on or make changes to this bug.